MultipleRecnoDataEntry (Oracle - Berkeley DB Java API)
Date: 2010-03-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.0.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class MultipleRecnoDataEntry

    java.lang.Object
      com.sleepycat.db.DatabaseEntry
          com.sleepycat.db.MultipleEntry
              com.sleepycat.db.MultipleRecnoDataEntry

    public class MultipleRecnoDataEntry

extends MultipleEntry

A DatabaseEntry that holds multiple record number/data pairs returned by a single `Database` or `Cursor` get call.

Constructor Summary
`MultipleRecnoDataEntry()` Construct an entry with no data.
`MultipleRecnoDataEntry(byte[] data)` Construct an entry with a given byte array.
`MultipleRecnoDataEntry(byte[] data, int offset, int size)` Constructs a DatabaseEntry with a given byte array, offset and size.

Method Summary
`boolean` | `append(int recno, byte[] data)` Append an entry to the bulk buffer.
`boolean` | `append(int recno, byte[] data, int offset, int len)` Append a record number / data item pair to the bulk buffer.
`boolean` | `append(int recno, DatabaseEntry data)` Append an entry to the bulk buffer.
`boolean` | `next(DatabaseEntry recnoEntry, DatabaseEntry data)` Get the next record number/data pair in the returned set.

Methods inherited from class com.sleepycat.db.MultipleEntry
`append_internal, append_internal, setUserBuffer`

Methods inherited from class com.sleepycat.db.DatabaseEntry
`equals, getData, getDataNIO, getOffset, getPartial, getPartialLength, getPartialOffset, getRecordNumber, getReuseBuffer, getSize, getUserBuffer, getUserBufferLength, hashCode, setData, setData, setDataNIO, setDataNIO, setOffset, setPartial, setPartial, setPartialLength, setPartialOffset, setRecordNumber, setReuseBuffer, setSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleRecnoDataEntry

    public MultipleRecnoDataEntry()

  Construct an entry with no data. The object must be configured before use with the `MultipleEntry.setUserBuffer` method.

### MultipleRecnoDataEntry

    public MultipleRecnoDataEntry(byte[] data)

  Construct an entry with a given byte array. The offset is set to zero; the size is set to the length of the array. If null is passed, the object must be configured before use with the `MultipleEntry.setUserBuffer` method.

  Parameters:
    `data` - Byte array wrapped by the entry.

### MultipleRecnoDataEntry

    public MultipleRecnoDataEntry(byte[] data,
                                  int offset,
                                  int size)

  Constructs a DatabaseEntry with a given byte array, offset and size.

  Parameters:
    `data` - Byte array wrapped by the DatabaseEntry.
    `offset` - Offset in the first byte in the byte array to be included.
    `size` - Number of bytes in the byte array to be included.

Method Detail

### next

    public boolean next(DatabaseEntry recnoEntry,
                        DatabaseEntry data)

  Get the next record number/data pair in the returned set. This method may only be called after a successful call to a `Database` or `Cursor` get method with this object as the data parameter.

  When used with the Queue and Recno access methods, `data.getData()`will return `null` for deleted records.``

  Parameters:
    `recnoEntry` - an entry that is set to refer to the next record number in the returned set.

    `data` - an entry that is set to refer to the next data element in the returned set.

  Returns:
    indicates whether a value was found. A return of `false` indicates that the end of the set was reached.

### append

    public boolean append(int recno,
                          byte[] data,
                          int offset,
                          int len)
                   throws DatabaseException

  Append a record number / data item pair to the bulk buffer.

  Parameters:
    `recno` - the record number of the record to be added.
    `data` - an array containing the value to be added.
    `offset` - the position in the data array where the record starts.
    `len` - the length of the record, in bytes, to be copied from the data array.

  Returns:
    indicates whether there was space. A return of `false` indicates that the specified entry could not fit in the buffer.
  Throws:
    `DatabaseException`

### append

    public boolean append(int recno,
                          DatabaseEntry data)
                   throws DatabaseException

  Append an entry to the bulk buffer.

  Parameters:
    `recno` - the record number of the record to be added.
    `data` - the value to be appended, using the offset and size specified in the `DatabaseEntry`.

  Returns:
    indicates whether there was space. A return of `false` indicates that the specified entry could not fit in the buffer.
  Throws:
    `DatabaseException`

### append

    public boolean append(int recno,
                          byte[] data)
                   throws DatabaseException

  Append an entry to the bulk buffer.

  Parameters:
    `recno` - the record number of the record to be added.
    `data` - an array containing the value to be added.

  Returns:
    indicates whether there was space. A return of `false` indicates that the specified entry could not fit in the buffer.
  Throws:
    `DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.0.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.